/*
	Der führt zu einer Breite (Abstand der Vorderreifen-Außenkante) von 155mm. Ich brauche für die LC2 Karo aber 170mm. --> make it 15mm wider!
	
v2: Weg mit dem Servosaver!	
v3: Body post!
v5: 6mm Body post, single.
v6: Stabiler machen

*/

//$fn=10;
$fn=50;


gCutXOffset=10.0;
gWidthToAdd=15.0;

for (m=[0, 1])
mirror([m, 0, 0])
difference()
{
	union()
	{
		/* Inner Part */
		if (1)
		intersection()
		{
			import("Front_Upper_BOM.stl"); /* Narf */
			
			translate([-gCutXOffset/2, +25, 0])
			cube([gCutXOffset, 60, 23], center=true);
		}

		/* Insert some mm on the left*/
		if (2)
		translate([-gCutXOffset, 0, 0])
		rotate([0, -90, 0])
		linear_extrude(height=gWidthToAdd/2)
		projection(cut=true)
		translate([0, 0, -gCutXOffset])
		rotate([0, 90, 0])
		import("Front_Upper_BOM.stl"); /* Narf */
		
		/* Outer Part */
		if (2)
		translate([-gWidthToAdd/2, 0, 0])
		intersection()
		{
			import("Front_Upper_BOM.stl"); /* Narf */
			
			translate([-gCutXOffset-230/2, 0, 0])
			cube([230, 230, 23], center=true);
		}

		/* Front Body Post */
		postDia=6.0;
		postHeight=42;
		if (0)
		union()
		{
			/* Base */
			difference()
			{
				cube([10, 23, 3]);
				
				#translate([0, +6, 0])
				rotate([0, 90*0, 90*0])
				cylinder(d=3.5, h=23, center=true); 
					#translate([0, +18, 0])
					rotate([0, 90*0, 90*0])
					cylinder(d=3.5, h=23, center=true); 
			}
			
			/* Holes for body clips */
			difference()
			{
				translate([15*0, 12, 0])
				{
					cylinder(d=postDia, h=postHeight);
					
					translate([0, 0, postHeight])
					sphere(d=postDia);
				} // translate
				
				/* Holes for Split Pins (Splinte) */
				#for (postHoleZi=[postHeight-0.5:-4:10])
				translate([15*0, 12, postHoleZi])
				rotate([0, 90, 90*0])
				cylinder(d=2.0, h=23, center=true); // d=2.5 war zu gross...s

			} // diff   
			
			/* Knotenblech */
			translate([-4, 11, 2.8])
			rotate([0, 45, 0])
			cube([10-0.1, 2, 10-0.1]);
			
			
		} // union
	} // union

	/* cut lower thingy below base line */
	#translate([-23/2, 0, -23])
	cube([23, 23, 23], center=false);

} // diff

















