/*
    Front BOM Block, less fancy, no fiddling with nuts required. 
    
*/

$fn=23;

difference()
{
    translate([0, 0, 16/2])
    cube([24, 28, 16], center=true);

    // Room for servo horn & steering
    #translate([0, -28/2, 16/2])
    rotate([0, 90, 0])
    cylinder(d=14, h=42, center=true);

    // holes for upper bom screws
    #translate([0, 28/2-8, 42/2+1])
    cylinder(d=2.9, h=42, center=true);
        #translate([0, -28/2+8, 42/2+1])
        cylinder(d=2.9, h=42, center=true);

    // holes for lower bom screws
    foo=8; // CHECK!                              TBD TBD TBD
    #translate([foo, 28/2-12, -(42/2-16)-1])
    cylinder(d=2.9, h=42, center=true);
        #translate([-foo, 28/2-12, -(42/2-16)-1])
        cylinder(d=2.9, h=42, center=true);
}