/* Steering_Push_Pin_HK */



/* Modules */
include <Chassis_Globals_v3.scad>;
include <../../Modules/Module_Geometrical_Objects.scad>;
include <../../Modules/Module_Really_Rounded_Cube.scad>;

/* Globals */
$fn=23;
//$fn=50;

/* Langloch-Sandbox */
if (0)
{
	%translate([-10/2, 0, 0]) cube([30, 10, 5]);
	langLoch3D(10, 30, 5);
}

/* left steering rod */
if (0)
rod(48);

/* right steering rod */
if (0)
translate([0, -23, 0]) rod(39);

/* connector */
if (1)
//translate([0, -42, 8/2])
{
	rotate([90, 0, 0])
	difference()
	{
		//translate([0, 0, 8/2])
		//ho=5.0;
		//translate([0, 0, ho/2])
		//cube([23, 8, 8+ho], center=true);
		
		union()
		{
			cube([23, 8, 8], center=true);
	
			translate([0, 0, 8])
			cube([6, 8, 8], center=true);
		}
		
		/* holes for push pins */
		for(xic=[1, -1])
		{
			
			translate([xic*(23/2-3.4), 0, -8/2])
			cylinder(d=3.4, h=23);

			translate([xic*(23/2-3.4), 0, 8/2*0])
			cube([8, 8, 4.0], center=true);
		}

		/* center holes */
		translate([0, 7, 8/2*0])
		rotate([90, 0, 0])
		cylinder(d=2.9, h=23);
			translate([0, 7, 8])
			rotate([90, 0, 0])
			cylinder(d=2.9, h=23);
		
	}
	

}

module rod(l)
{
	difference()
	{
		union()
		{
			langLoch3D(8, l+2*8/2, 2.0);
			
	//		#translate([(103+2*8)/2, 0, 2.0+6/2])
	//		cube([23,8, 6], center=true);
		}
		
		
		for(xi=[0, l])
		{
			translate([xi, 0, 0])
			cylinder(d=3.4+0.4, h=23);
		}
	}
}